org.hibernate.validator

## Interface HibernateValidatorContext

- All Superinterfaces:
    ValidatorContext
  All Known Implementing Classes:
    ValidatorContextImpl

      public interface HibernateValidatorContext
      extends ValidatorContext

  Represents a Hibernate Validator specific context that is used to create `Validator` instances. Adds additional configuration options to those provided by `ValidatorContext`.
  Author:
    Emmanuel Bernard, Kevin Pollet (C) 2011 SERLI

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `HibernateValidatorContext` | `addValidationValueHandler(ValidatedValueUnwrapper<?> handler)` Registers the given validated value unwrapper with the bootstrapped validator.
    `HibernateValidatorContext` | `constraintValidatorFactory(ConstraintValidatorFactory factory)`
    `HibernateValidatorContext` | `failFast(boolean failFast)` En- or disables the fail fast mode.
    `HibernateValidatorContext` | `messageInterpolator(MessageInterpolator messageInterpolator)`
    `HibernateValidatorContext` | `traversableResolver(TraversableResolver traversableResolver)`

    - ### Methods inherited from interface javax.validation.ValidatorContext

      `getValidator, parameterNameProvider`

- - ### Method Detail

    - #### messageInterpolator

          HibernateValidatorContext messageInterpolator(MessageInterpolator messageInterpolator)

      Specified by:
        `messageInterpolator` in interface `ValidatorContext`

    - #### traversableResolver

          HibernateValidatorContext traversableResolver(TraversableResolver traversableResolver)

      Specified by:
        `traversableResolver` in interface `ValidatorContext`

    - #### constraintValidatorFactory

          HibernateValidatorContext constraintValidatorFactory(ConstraintValidatorFactory factory)

      Specified by:
        `constraintValidatorFactory` in interface `ValidatorContext`

    - #### failFast

          HibernateValidatorContext failFast(boolean failFast)

      En- or disables the fail fast mode. When fail fast is enabled the validation will stop on the first constraint violation detected.
      Parameters:
        `failFast` - `true` to enable fail fast, `false` otherwise.
      Returns:
        `this` following the chaining method pattern

    - #### addValidationValueHandler

          HibernateValidatorContext addValidationValueHandler(ValidatedValueUnwrapper<?> handler)

      Registers the given validated value unwrapper with the bootstrapped validator. When validating an element which is of a type supported by the unwrapper and which is annotated with `UnwrapValidatedValue`, the unwrapper will be applied to retrieve the value to validate.
      Parameters:
        `handler` - the unwrapper to register
      Returns:
        `this` following the chaining method pattern
      Experimental
        This API is considered experimental and may change in future revisions

Copyright © 2007-2014 Red Hat, Inc. All Rights Reserved